DELETE api/PropertyLog
Request Information
URI Parameters
None.
Body Parameters
DeleteOrRestore| Name | Description | Type | Additional information |
|---|---|---|---|
| ids | Collection of globally unique identifier |
None. |
|
| state | boolean |
None. |
|
| deleted | boolean |
Required |
|
| system_information | SystemInformation |
None. |
Request Formats
application/json, text/json
Sample:
{
"ids": [
"2ded725d-0af6-4787-b6ba-5febbf44d14c",
"6b9e7fa6-7729-451b-b3b3-9aeb85b7f77f"
],
"state": true,
"deleted": true,
"system_information": {
"creation": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "5540300a-a815-4023-b6b6-0fdc6056fa63",
"image_id": "dcbb571f-eb28-4288-ad61-f9558495adc5",
"id_user_work_position": "afc4ee56-1306-4ec9-a070-cb31fb807a8f",
"id_shift": "b6918ff8-ec8e-43ec-be41-8ac998d331b8",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:10:56Z"
},
"last_change": {
"user": {
"full_name": "sample string 12 sample string 11",
"id": "5540300a-a815-4023-b6b6-0fdc6056fa63",
"image_id": "dcbb571f-eb28-4288-ad61-f9558495adc5",
"id_user_work_position": "afc4ee56-1306-4ec9-a070-cb31fb807a8f",
"id_shift": "b6918ff8-ec8e-43ec-be41-8ac998d331b8",
"code": "sample string 5",
"code2": "sample string 6",
"title": "sample string 9",
"introduction": "sample string 10",
"first_name": "sample string 11",
"last_name": "sample string 12"
},
"date": "2026-03-21T21:10:56Z"
}
}
}
application/xml, text/xml
Sample:
<DeleteOrRestore xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/IO.Swagger.Models">
<deleted>true</deleted>
<ids xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>2ded725d-0af6-4787-b6ba-5febbf44d14c</d2p1:guid>
<d2p1:guid>6b9e7fa6-7729-451b-b3b3-9aeb85b7f77f</d2p1:guid>
</ids>
<state>true</state>
<system_information>
<creation>
<date>2026-03-21T22:10:56.9071156+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>5540300a-a815-4023-b6b6-0fdc6056fa63</id>
<id_shift>b6918ff8-ec8e-43ec-be41-8ac998d331b8</id_shift>
<id_user_work_position>afc4ee56-1306-4ec9-a070-cb31fb807a8f</id_user_work_position>
<image_id>dcbb571f-eb28-4288-ad61-f9558495adc5</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</creation>
<last_change>
<date>2026-03-21T22:10:56.9071156+01:00</date>
<user>
<code>sample string 5</code>
<code2>sample string 6</code2>
<first_name>sample string 11</first_name>
<full_name>sample string 12 sample string 11</full_name>
<id>5540300a-a815-4023-b6b6-0fdc6056fa63</id>
<id_shift>b6918ff8-ec8e-43ec-be41-8ac998d331b8</id_shift>
<id_user_work_position>afc4ee56-1306-4ec9-a070-cb31fb807a8f</id_user_work_position>
<image_id>dcbb571f-eb28-4288-ad61-f9558495adc5</image_id>
<introduction>sample string 10</introduction>
<last_name>sample string 12</last_name>
<title>sample string 9</title>
</user>
</last_change>
</system_information>
</DeleteOrRestore>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Result| Name | Description | Type | Additional information |
|---|---|---|---|
| messages | Collection of ResultMessage |
None. |
|
| count_of_errors | integer |
None. |
|
| id | Object |
None. |
|
| name | string |
None. |
|
| data | Object |
None. |
|
| url | string |
None. |
|
| text | string |
None. |
|
| inner_exception | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"messages": [
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
},
{
"type": 1,
"code": 1,
"message": "sample string 1",
"field": "sample string 2"
}
],
"count_of_errors": 1,
"id": {},
"name": "sample string 3",
"data": {},
"url": "sample string 5",
"text": "sample string 6",
"inner_exception": "sample string 7"
}
application/xml, text/xml
Sample:
<Result xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/UP.Core.Data">
<count_of_errors>1</count_of_errors>
<data />
<id />
<inner_exception>sample string 7</inner_exception>
<messages>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
<ResultMessage>
<code>1</code>
<field>sample string 2</field>
<message>sample string 1</message>
<type>1</type>
</ResultMessage>
</messages>
<name>sample string 3</name>
<text>sample string 6</text>
<url>sample string 5</url>
</Result>